# Gimp.Gradient.segment_get_left_pos

    @accepts(Gimp.Gradient, int, float)
    @returns(bool)
    def segment_get_left_pos(self, segment, pos):
        # Python wrapper for gimp_gradient_segment_get_left_pos()

Gets the left endpoint position of a segment

Gets the position of the left endpoint of the segment of the gradient. Returns an error when the segment index is out of range.

Since 2.2

self

  The gradient.

segment

  The index of a segment within the gradient.

pos

  The return position.

Returns